#
# spec file for package libeio
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           libeio
Version:        1.0.0+cvs1427983131
Release:        2.1
%define shlib %{name}1
License:        GPL-2.0
Summary:        Event-based fully asynchronous I/O library for C
Url:            http://software.schmorp.de/pkg/libeio.html
Group:          Development/Libraries/C and C++
Source:         libeio.tar.bz2
Patch:          libeio-missing-headers.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
Libeio is a full-featured asynchronous I/O library for C, modelled in similar
style and spirit as libev. Features include: asynchronous read, write, open,
close, stat, unlink, fdatasync, mknod, readdir etc. (basically the full POSIX
API). sendfile (native on solaris, linux, hp-ux, freebsd, emulated everywehere
else), readahead (emulated where not available).

It is fully event-library agnostic and can easily be integrated into any
event-library (or used standalone, even in polling mode). It is very portable
and relies only on POSIX threads.

Its code, documentation, integration and portability quality is currently below
that of libev, but should soon be ready for use in production environments.

%package -n %{shlib} 
Group:          Development/Libraries/C and C++
#
Summary:        Shared library package for %{name}
%description -n %{shlib} 
Libeio is a full-featured asynchronous I/O library for C, modelled in similar
style and spirit as libev. Features include: asynchronous read, write, open,
close, stat, unlink, fdatasync, mknod, readdir etc. (basically the full POSIX
API). sendfile (native on solaris, linux, hp-ux, freebsd, emulated everywehere
else), readahead (emulated where not available).

It is fully event-library agnostic and can easily be integrated into any
event-library (or used standalone, even in polling mode). It is very portable
and relies only on POSIX threads.

Its code, documentation, integration and portability quality is currently below
that of libev, but should soon be ready for use in production environments.

This package holds the shared library of libeio.

%package devel
Group:          Development/Libraries/C and C++
Requires:       %{shlib} = %{version}
#
Summary:        Development files for %{name}
%description devel
Libeio is a full-featured asynchronous I/O library for C, modelled in similar
 and spirit as libev. Features include: asynchronous read, write, open,
close, stat, unlink, fdatasync, mknod, readdir etc. (basically the full POSIX
API). sendfile (native on solaris, linux, hp-ux, freebsd, emulated everywehere
else), readahead (emulated where not available).

It is fully event-library agnostic and can easily be integrated into any
event-library (or used standalone, even in polling mode). It is very portable
and relies only on POSIX threads.

Its code, documentation, integration and portability quality is currently below
that of libev, but should soon be ready for use in production environments.

This package holds the development files for libeio.

%prep
%setup -q -n %{name}
%patch

%build
./autogen.sh
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} %{?_smp_mflags}
rm %{buildroot}%{_libdir}/libeio.la

install -D -m 0644 eio.3 %{buildroot}%{_mandir}/man3/eio.3

%post    -n %{shlib} -p /sbin/ldconfig
%postun  -n %{shlib} -p /sbin/ldconfig

%files -n %{shlib}
%defattr(-,root,root)
%{_libdir}/libeio.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libeio.so
%{_includedir}/eio.h
%{_mandir}/man3/eio.3*
%doc Changes LICENSE demo.c eio.pod 
%changelog
* Thu Apr  2 2015 mrueckert@suse.de
- just updated to latest code base
* Fri Sep 19 2014 mrueckert@suse.de
- initial package
